import { WechatWorkBase } from './base';
/**
 * 素材管理接口
 */
export default class WechatWorkMedia extends WechatWorkBase {
    mediaURL: string;
    mediaDurableURL: string;
    mediaTempGetURL: string;
    mediaHightQualityVoiceURL: string;
    /**
     * 上传临时文件
     *
     * @param Formdata 文件数据
     * @param type 类型
     */
    PostMediaTempSource(Formdata: any, type: string): Promise<Message.SendResponse>;
    /**
     * 上传永久图片
     *
     * @param Formdata 文件数据
     */
    PostMediaDurablePicture(Formdata: any): Promise<Message.SendResponse>;
    /**
     * 下载临时素材
     *
     * @param {string} media_id 媒体文件id
     */
    GetMediaTempSource(media_id: string): Promise<any>;
    /**
     * 获取高清语音素材
     *
     * @param {string} media_id 媒体文件id
     */
    GetMediaHighQualityVoice(media_id: string): Promise<any>;
}
